{% extends 'base.html.twig' %}

{% block title %}Welcome to the blog{% endblock %}

{% block body %}
{# On peut accéder au user actuellement connecté directement depuis
    le template via la variable app.user
    On s'en sert ici pour afficher certain liens selon si la personne
    est actuellement connectée ou non #}
{% if app.user %}
<a class="btn btn-danger" href="{{path('logout')}}">Logout</a>
<a class="btn btn-secondary" href="{{path('user_post')}}">My Post</a>
{% else %}

<a class="btn btn-success" href="{{path('login')}}">Login</a>
<a class="btn btn-primary" href="{{path('register')}}">Register</a>
{% endif %}

<h1>Blog</h1>

<ul class="list-group">
    {% for post in posts %}
    <li class="post list-group-item">
        <p>{{post.title}}</p>
        {% if post.author %}
        <small class="text-muted">{{post.author.email}}</small>
        {% else %}
        <small class="text-muted">Anonymous post</small>
        {% endif %}
    </li>
    {% endfor %}
</ul>
{% endblock %}